#pragma once

#include "stdafx.h"
#include <atlbase.h>
#include <atlwin.h>
#include "trayicon.h"

namespace tipupgrader
{
	class TrayMessageHandler : public CWindowImpl<TrayMessageHandler>
	{
	public:
		TrayMessageHandler(HINSTANCE hInstance);
		virtual ~TrayMessageHandler(void);

		BEGIN_MSG_MAP(TrayMessageHandler)
			MESSAGE_HANDLER(WM_TIMER, OnTimer)
		END_MSG_MAP()

		virtual LRESULT OnTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);

		BOOL Create();
		BOOL Destroy();
		CTrayIcon* GetTrayIcon() { return &m_TrayIcon; }
	private:
		CTrayIcon m_TrayIcon;
		HINSTANCE m_hInstance;
	};

};

